#ifndef DLL_PATHS_GENERATED_H_
#define DLL_PATHS_GENERATED_H_

/*
 *      Copyright (C) 2005-2013 Team XBMC
 *      http://xbmc.org
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with XBMC; see the file COPYING.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 */

/* prefix install location */
#define PREFIX_USR_PATH        "/usr"

/* libraries */
#define DLL_PATH_CPLUFF        "special://xbmcbin/system/libcpluff-i486-linux.so"
#define DLL_PATH_IMAGELIB      "special://xbmcbin/system/ImageLib-i486-linux.so"
#define DLL_PATH_LIBEXIF       "special://xbmcbin/system/libexif-i486-linux.so"
#define DLL_PATH_LIBHDHOMERUN  "special://xbmcbin/system/hdhomerun-i486-linux.so"
#define DLL_PATH_MEDIAINFO     "special://xbmcbin/system/mediainfo-i486-linux.so"
#define DLL_PATH_LIBCMYTH      "special://xbmcbin/system/libcmyth-i486-linux.so"

#define DLL_PATH_LIBRTMP       "librtmp.so.0"
#define DLL_PATH_LIBNFS        "libnfs.so.1"
#define DLL_PATH_LIBAFP        "libafpclient.so.0"
#define DLL_PATH_LIBPLIST      "libplist.so.1"
#define DLL_PATH_LIBSHAIRPORT  ""
#define DLL_PATH_LIBSHAIRPLAY  "libshairplay.so.0"
#define DLL_PATH_LIBCEC        "libcec.so.2"

#ifndef DLL_PATH_LIBCURL
#define DLL_PATH_LIBCURL       "libcurl-gnutls.so.4"
#endif

/* paplayer */
#define DLL_PATH_AAC_CODEC     "special://xbmcbin/system/players/paplayer/AACCodec-i486-linux.so"
#define DLL_PATH_ADPCM_CODEC   "special://xbmcbin/system/players/paplayer/adpcm-i486-linux.so"
#define DLL_PATH_ADPLUG_CODEC  "special://xbmcbin/system/players/paplayer/adplug-i486-linux.so"
#define DLL_PATH_APE_CODEC     "special://xbmcbin/system/players/paplayer/MACDll-i486-linux.so"
#define DLL_PATH_ASAP_CODEC    "special://xbmcbin/system/players/paplayer/xbmc_asap-i486-linux.so"
#define DLL_PATH_DCA_CODEC     "special://xbmcbin/system/players/paplayer/dcacodec-i486-linux.so"
#define DLL_PATH_GYM_CODEC     "special://xbmcbin/system/players/paplayer/gensapu-i486-linux.so"
#define DLL_PATH_MID_CODEC     "special://xbmcbin/system/players/paplayer/timidity-i486-linux.so"
#define DLL_PATH_MODULE_CODEC  "special://xbmcbin/system/players/paplayer/dumb-i486-linux.so"
#define DLL_PATH_MPC_CODEC     "special://xbmcbin/system/players/paplayer/libmpcdec-i486-linux.so"
#define DLL_PATH_NSF_CODEC     "special://xbmcbin/system/players/paplayer/nosefart-i486-linux.so"
#define DLL_PATH_SID_CODEC     "special://xbmcbin/system/players/paplayer/libsidplay2-i486-linux.so"
#define DLL_PATH_SPC_CODEC     "special://xbmcbin/system/players/paplayer/SNESAPU-i486-linux.so"
#define DLL_PATH_VGM_CODEC     "special://xbmcbin/system/players/paplayer/vgmstream-i486-linux.so"
#define DLL_PATH_WAVPACK_CODEC "@WAVPACK_SONAME@"
#define DLL_PATH_YM_CODEC      "special://xbmcbin/system/players/paplayer/stsoundlibrary-i486-linux.so"

#define DLL_PATH_FLAC_CODEC    "libFLAC.so.8"
#define DLL_PATH_MODPLUG_CODEC "libmodplug.so.1"
#define DLL_PATH_OGG_CODEC     "libvorbisfile.so.3"

/* dvdplayer */
#define DLL_PATH_LIBASS        "libass.so.4"
#define DLL_PATH_LIBDVDNAV     "special://xbmcbin/system/players/dvdplayer/libdvdnav-i486-linux.so"
#define DLL_PATH_LIBMPEG2      "libmpeg2.so.0"
#define DLL_PATH_LIBMAD        "libmad.so.0"

/* ffmpeg */
#define DLL_PATH_LIBAVCODEC    "special://xbmcbin/system/players/dvdplayer/avcodec-54-i486-linux.so"
#define DLL_PATH_LIBAVFORMAT   "special://xbmcbin/system/players/dvdplayer/avformat-54-i486-linux.so"
#define DLL_PATH_LIBAVUTIL     "special://xbmcbin/system/players/dvdplayer/avutil-52-i486-linux.so"
#define DLL_PATH_LIBPOSTPROC   "special://xbmcbin/system/players/dvdplayer/postproc-52-i486-linux.so"
#define DLL_PATH_LIBSWSCALE    "special://xbmcbin/system/players/dvdplayer/swscale-2-i486-linux.so"
#define DLL_PATH_LIBAVFILTER   "special://xbmcbin/system/players/dvdplayer/avfilter-3-i486-linux.so"
#define DLL_PATH_LIBSWRESAMPLE "special://xbmcbin/system/players/dvdplayer/swresample-0-i486-linux.so"

/* cdrip */
#define DLL_PATH_LAME_ENC      "libmp3lame.so.0"
#define DLL_PATH_OGG           "libogg.so.0"
#define DLL_PATH_VORBIS_ENC    "libvorbisenc.so.2"
#define DLL_PATH_VORBIS        "libvorbis.so.0"

/* broadcom crystalhd */
#if defined(TARGET_DARWIN)
#define DLL_PATH_LIBCRYSTALHD  "libcrystalhd.dylib"
#else
#define DLL_PATH_LIBCRYSTALHD  "libcrystalhd.so.3"
#endif

/* libbluray */
#define DLL_PATH_LIBBLURAY     "libbluray.so.1"

/* wayland */
#define DLL_PATH_WAYLAND_CLIENT ""
#define DLL_PATH_WAYLAND_EGL ""

/* xkbcommon */
#define DLL_PATH_XKBCOMMON ""

#endif
