/*
 *      Copyright (C) 2005-2013 Team XBMC
 *      http://xbmc.org
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with XBMC; see the file COPYING.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 */
#pragma once
/* libraries */

//Android rules:
// - All solibs must be in the form ^lib*.so$
// - All solibs must be in the same dir
// - Arch need not be specified, each arch will get its own lib dir.
//   We only keep i486-linux here to retain the same structure as *nix.
// * foo.so will be renamed libfoo.so in the packaging stage

#define DLL_PATH_CPLUFF        "libcpluff-i486-linux.so"
#define DLL_PATH_IMAGELIB      "libImageLib-i486-linux.so"
#define DLL_PATH_LIBEXIF       "libexif-i486-linux.so"
#define DLL_PATH_LIBHDHOMERUN  "libhdhomerun-i486-linux.so"
#define DLL_PATH_MEDIAINFO     "libmediainfo-i486-linux.so"
#define DLL_PATH_LIBCMYTH      "libcmyth-i486-linux.so"

#define DLL_PATH_LIBRTMP       "librtmp.so.0"
#define DLL_PATH_LIBNFS        "libnfs.so.1"
#define DLL_PATH_LIBAFP        "libafpclient.so.0"
#define DLL_PATH_LIBPLIST      "libplist.so.1"
#define DLL_PATH_LIBSHAIRPORT  ""
#define DLL_PATH_LIBSHAIRPLAY  "libshairplay.so.0"
#define DLL_PATH_LIBCEC        "libcec.so.2"

#ifndef DLL_PATH_LIBCURL
#define DLL_PATH_LIBCURL       "libcurl-gnutls.so.4"
#endif

/* paplayer */
#define DLL_PATH_AAC_CODEC     "libAACCodec-i486-linux.so"
#define DLL_PATH_ADPCM_CODEC   "libadpcm-i486-linux.so"
#define DLL_PATH_ADPLUG_CODEC  "libadplug-i486-linux.so"
#define DLL_PATH_APE_CODEC     "libMACDll-i486-linux.so"
#define DLL_PATH_ASAP_CODEC    "libxbmc_asap-i486-linux.so"
#define DLL_PATH_DCA_CODEC     "libdcacodec-i486-linux.so"
#define DLL_PATH_GYM_CODEC     "libgensapu-i486-linux.so"
#define DLL_PATH_MID_CODEC     "libtimidity-i486-linux.so"
#define DLL_PATH_MODULE_CODEC  "libdumb-i486-linux.so"
#define DLL_PATH_MPC_CODEC     "libmpcdec-i486-linux.so"
#define DLL_PATH_NSF_CODEC     "libnosefart-i486-linux.so"
#define DLL_PATH_SID_CODEC     "libsidplay2-i486-linux.so"
#define DLL_PATH_SPC_CODEC     "libSNESAPU-i486-linux.so"
#define DLL_PATH_VGM_CODEC     "libvgmstream-i486-linux.so"
#define DLL_PATH_WAVPACK_CODEC "@WAVPACK_SONAME@"
#define DLL_PATH_YM_CODEC      "libstsoundlibrary-i486-linux.so"

#define DLL_PATH_FLAC_CODEC    "libFLAC.so.8"
#define DLL_PATH_MODPLUG_CODEC "libmodplug.so.1"
#define DLL_PATH_OGG_CODEC     "libvorbisfile.so.3"

/* dvdplayer */
#define DLL_PATH_LIBASS        "libass.so.4"
#define DLL_PATH_LIBDVDNAV     "libdvdnav-i486-linux.so"
#define DLL_PATH_LIBMPEG2      "libmpeg2.so.0"
#define DLL_PATH_LIBMAD        "libmad.so.0"

/* ffmpeg */
#define DLL_PATH_LIBAVCODEC    "libavcodec-54-i486-linux.so"
#define DLL_PATH_LIBAVFORMAT   "libavformat-54-i486-linux.so"
#define DLL_PATH_LIBAVUTIL     "libavutil-52-i486-linux.so"
#define DLL_PATH_LIBPOSTPROC   "libpostproc-52-i486-linux.so"
#define DLL_PATH_LIBSWSCALE    "libswscale-2-i486-linux.so"
#define DLL_PATH_LIBAVFILTER   "libavfilter-3-i486-linux.so"
#define DLL_PATH_LIBSWRESAMPLE "libswresample-0-i486-linux.so"

/* cdrip */
#define DLL_PATH_LAME_ENC      "libmp3lame.so.0"
#define DLL_PATH_OGG           "libogg.so.0"
#define DLL_PATH_VORBIS_ENC    "libvorbisenc.so.2"
#define DLL_PATH_VORBIS        "libvorbis.so.0"

/* libbluray */
#define DLL_PATH_LIBBLURAY     "libbluray.so.1"

/* Android's libui for gralloc */
#define DLL_PATH_LIBUI         "libui.so"
